Skip to main content
GET
/
v2
/
clients
/
{id}
Retrieve a client
curl --request GET \
  --url https://thirdparty.qonto.com/v2/clients/{id} \
  --header 'Authorization: Bearer <token>'
{ "client": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "John Doe", "first_name": "John", "last_name": "Doe", "phone_number": "+33123456789", "phone": { "country_code": "+33", "number": "123456789" }, "email": "john.doe@qonto.eu", "extra_emails": [ "additional@email.com", "backup@email.com" ], "currency": "EUR", "e_invoicing_address": "987654321", "e_invoicing_reachable": true, "vat_number": "<string>", "tax_identification_number": "<string>", "address": "<string>", "city": "<string>", "zip_code": "<string>", "province_code": "<string>", "country_code": "<string>", "billing_address": { "street_address": "123 Main Street", "city": "Paris", "zip_code": "75009", "province_code": "<string>", "country_code": "fr" }, "delivery_address": { "street_address": "123 Main Street", "city": "Paris", "zip_code": "75009", "province_code": "<string>", "country_code": "fr" }, "recipient_code": "<string>", "created_at": "<string>", "updated_at": "<string>", "locale": "fr" } }

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Path Parameters

id
string<uuid>
required

ID of the client

Response

Returns the client identified by the id path parameter.

client
object
required